Package org.apache.sling.models.annotations

# Annotation Interface Path

@Target({FIELD,METHOD,PARAMETER}) @Retention(RUNTIME) @Qualifier public @interface Path
Provide path(s) on an @Inject. Not necessarily tied to the Resource Path injector (thus no @Source annotation), may be reused for other injector types.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String[]`
`paths`
`String`
`value`

## Element Details

### value

String value

Default:
  ""

### paths

String[] paths

Default:
  {}